<!DOCTYPE html>
<html lang="en">
  <head>
    <title>NetworkManagerError Enum Reference</title>
    <link rel="stylesheet" type="text/css" href="../../css/jazzy.css" />
    <link rel="stylesheet" type="text/css" href="../../css/highlight.css" />
    <meta charset='utf-8'>
    <script src="../../js/jquery.min.js" defer></script>
    <script src="../../js/jazzy.js" defer></script>
    
  </head>
  <body>
    <a name="//apple_ref/swift/Enum/NetworkManagerError" class="dashAnchor"></a>
    <a title="NetworkManagerError Enum Reference"></a>
    <header>
      <div class="content-wrapper">
        <p><a href="../../index.html"> Docs</a> (90% documented)</p>
      </div>
    </header>
    <div class="content-wrapper">
      <p id="breadcrumbs">
        <a href="../../index.html"> Reference</a>
        <img id="carat" src="../../img/carat.png" />
        NetworkManagerError Enum Reference
      </p>
    </div>
    <div class="content-wrapper">
      <nav class="sidebar">
        <ul class="nav-groups">
          <li class="nav-group-name">
            <a href="../../Classes.html">Classes</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../../Classes/AppDelegate.html">AppDelegate</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/BackgroundController.html">BackgroundController</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/CoreDataManager.html">CoreDataManager</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/CurrencyController.html">CurrencyController</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/CurrencyRate.html">CurrencyRate</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/CurrencyRateManager.html">CurrencyRateManager</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/CurrencyRatePack.html">CurrencyRatePack</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/CurrencyRatePackParser.html">CurrencyRatePackParser</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/ExchangeController.html">ExchangeController</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/ExchangeModelManager.html">ExchangeModelManager</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/FromCurrencyController.html">FromCurrencyController</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/FromCurrencyPageController.html">FromCurrencyPageController</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/NetworkManager.html">NetworkManager</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/NetworkManager/NetworkManagerError.html">– NetworkManagerError</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/ToCurrencyController.html">ToCurrencyController</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/ToCurrencyPageController.html">ToCurrencyPageController</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Classes/UserData.html">UserData</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../../Enums.html">Enums</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../../Enums/CurrencyType.html">CurrencyType</a>
              </li>
              <li class="nav-group-task">
                <a href="../../Enums/RequestResult.html">RequestResult</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../../Extensions.html">Extensions</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../../Extensions/NSManagedObject.html">NSManagedObject</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../../Functions.html">Functions</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../../Functions.html#/s:F15testApplication8debugLogFTSS4fileVs12StaticString8functionS0_4lineSi_T_">debugLog(_:file:function:line:)</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="../../Protocols.html">Protocols</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="../../Protocols/CurrencyControllerDelegate.html">CurrencyControllerDelegate</a>
              </li>
            </ul>
          </li>
        </ul>
      </nav>
      <article class="main-content">
        <section>
          <section class="section">
            <h1>NetworkManagerError</h1>
              <div class="declaration">
                <div class="language">
                  <pre class="highlight"><code><span class="kd">enum</span> <span class="kt">NetworkManagerError</span><span class="p">:</span> <span class="kt">Error</span></code></pre>

                </div>
              </div>
            <p>Error generated by NetworkManager.</p>

          </section>
          <section class="section task-group-section">
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:FOC15testApplication14NetworkManager19NetworkManagerError12NetworkErrorFMS1_S1_"></a>
                    <a name="//apple_ref/swift/Element/NetworkError" class="dashAnchor"></a>
                    <a class="token" href="#/s:FOC15testApplication14NetworkManager19NetworkManagerError12NetworkErrorFMS1_S1_">NetworkError</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Some connection error.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="k">case</span> <span class="kt">NetworkError</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:FOC15testApplication14NetworkManager19NetworkManagerError11ServerErrorFMS1_S1_"></a>
                    <a name="//apple_ref/swift/Element/ServerError" class="dashAnchor"></a>
                    <a class="token" href="#/s:FOC15testApplication14NetworkManager19NetworkManagerError11ServerErrorFMS1_S1_">ServerError</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Some server&rsquo;s error.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="k">case</span> <span class="kt">ServerError</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:FOC15testApplication14NetworkManager19NetworkManagerError24HTTPResponseNotAvailableFMS1_S1_"></a>
                    <a name="//apple_ref/swift/Element/HTTPResponseNotAvailable" class="dashAnchor"></a>
                    <a class="token" href="#/s:FOC15testApplication14NetworkManager19NetworkManagerError24HTTPResponseNotAvailableFMS1_S1_">HTTPResponseNotAvailable</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Server didn&rsquo;t return any response.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="k">case</span> <span class="kt">HTTPResponseNotAvailable</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:FOC15testApplication14NetworkManager19NetworkManagerError14HTTPBadRequestFMS1_S1_"></a>
                    <a name="//apple_ref/swift/Element/HTTPBadRequest" class="dashAnchor"></a>
                    <a class="token" href="#/s:FOC15testApplication14NetworkManager19NetworkManagerError14HTTPBadRequestFMS1_S1_">HTTPBadRequest</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Server returned HTTP status 400. <q>Bad request</q>.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="k">case</span> <span class="kt">HTTPBadRequest</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:FOC15testApplication14NetworkManager19NetworkManagerError16HTTPUnauthorizedFMS1_S1_"></a>
                    <a name="//apple_ref/swift/Element/HTTPUnauthorized" class="dashAnchor"></a>
                    <a class="token" href="#/s:FOC15testApplication14NetworkManager19NetworkManagerError16HTTPUnauthorizedFMS1_S1_">HTTPUnauthorized</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Server returned HTTP status 401. <q>Unauthorized</q>.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="k">case</span> <span class="kt">HTTPUnauthorized</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:FOC15testApplication14NetworkManager19NetworkManagerError13HTTPForbiddenFMS1_S1_"></a>
                    <a name="//apple_ref/swift/Element/HTTPForbidden" class="dashAnchor"></a>
                    <a class="token" href="#/s:FOC15testApplication14NetworkManager19NetworkManagerError13HTTPForbiddenFMS1_S1_">HTTPForbidden</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Server returned HTTP status 403. <q>Forbidden</q>.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="k">case</span> <span class="kt">HTTPForbidden</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:FOC15testApplication14NetworkManager19NetworkManagerError12HTTPNotFoundFMS1_S1_"></a>
                    <a name="//apple_ref/swift/Element/HTTPNotFound" class="dashAnchor"></a>
                    <a class="token" href="#/s:FOC15testApplication14NetworkManager19NetworkManagerError12HTTPNotFoundFMS1_S1_">HTTPNotFound</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Server returned HTTP status 404. <q>Not Found</q>.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="k">case</span> <span class="kt">HTTPNotFound</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:FOC15testApplication14NetworkManager19NetworkManagerError23HTTPInternalServerErrorFMS1_S1_"></a>
                    <a name="//apple_ref/swift/Element/HTTPInternalServerError" class="dashAnchor"></a>
                    <a class="token" href="#/s:FOC15testApplication14NetworkManager19NetworkManagerError23HTTPInternalServerErrorFMS1_S1_">HTTPInternalServerError</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Server returned HTTP status 500. <q>Internal Server Error</q>.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="k">case</span> <span class="kt">HTTPInternalServerError</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:FOC15testApplication14NetworkManager19NetworkManagerError17HTTPUnsuccessCodeFMS1_S1_"></a>
                    <a name="//apple_ref/swift/Element/HTTPUnsuccessCode" class="dashAnchor"></a>
                    <a class="token" href="#/s:FOC15testApplication14NetworkManager19NetworkManagerError17HTTPUnsuccessCodeFMS1_S1_">HTTPUnsuccessCode</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Server returned unrecognized HTTP status. <q>Unsuccess Code</q>.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="k">case</span> <span class="kt">HTTPUnsuccessCode</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:FOC15testApplication14NetworkManager19NetworkManagerError15HTTPWrongFieldsFMS1_S1_"></a>
                    <a name="//apple_ref/swift/Element/HTTPWrongFields" class="dashAnchor"></a>
                    <a class="token" href="#/s:FOC15testApplication14NetworkManager19NetworkManagerError15HTTPWrongFieldsFMS1_S1_">HTTPWrongFields</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Server returned HTTP status 422. <q>Wrong Fields</q>.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="k">case</span> <span class="kt">HTTPWrongFields</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:FOC15testApplication14NetworkManager19NetworkManagerError14HTTPNotAllowedFMS1_S1_"></a>
                    <a name="//apple_ref/swift/Element/HTTPNotAllowed" class="dashAnchor"></a>
                    <a class="token" href="#/s:FOC15testApplication14NetworkManager19NetworkManagerError14HTTPNotAllowedFMS1_S1_">HTTPNotAllowed</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Server returned HTTP status 405. <q>Not Allowed</q>.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="k">case</span> <span class="kt">HTTPNotAllowed</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:FOC15testApplication14NetworkManager19NetworkManagerError17HTTPWrongDataTypeFMS1_S1_"></a>
                    <a name="//apple_ref/swift/Element/HTTPWrongDataType" class="dashAnchor"></a>
                    <a class="token" href="#/s:FOC15testApplication14NetworkManager19NetworkManagerError17HTTPWrongDataTypeFMS1_S1_">HTTPWrongDataType</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Server returned HTTP status 415. <q>Wrong Data Type</q>.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="k">case</span> <span class="kt">HTTPWrongDataType</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:FOC15testApplication14NetworkManager19NetworkManagerError19HTTPTooManyRequestsFMS1_S1_"></a>
                    <a name="//apple_ref/swift/Element/HTTPTooManyRequests" class="dashAnchor"></a>
                    <a class="token" href="#/s:FOC15testApplication14NetworkManager19NetworkManagerError19HTTPTooManyRequestsFMS1_S1_">HTTPTooManyRequests</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Server returned HTTP status 429. <q>Too Many Requests</q>.</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="k">case</span> <span class="kt">HTTPTooManyRequests</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:FOC15testApplication14NetworkManager19NetworkManagerError12UnknownErrorFMS1_S1_"></a>
                    <a name="//apple_ref/swift/Element/UnknownError" class="dashAnchor"></a>
                    <a class="token" href="#/s:FOC15testApplication14NetworkManager19NetworkManagerError12UnknownErrorFMS1_S1_">UnknownError</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Undocumented</p>

                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight"><code><span class="kd">enum</span> <span class="kt">NetworkManagerError</span><span class="p">:</span> <span class="kt">Error</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
          </section>
        </section>
        <section id="footer">
          <p>&copy; 2017 <a class="link" href="" target="_blank" rel="external"></a>. All rights reserved. (Last updated: 2017-01-05)</p>
          <p>Generated by <a class="link" href="https://github.com/realm/jazzy" target="_blank" rel="external">jazzy ♪♫ v0.7.3</a>, a <a class="link" href="http://realm.io" target="_blank" rel="external">Realm</a> project.</p>
        </section>
      </article>
    </div>
  </body>
</div>
</html>
